#!/usr/bin/python
# -*- coding: UTF-8 -*-

import openpyxl
import sys

if len(sys.argv) < 2:
    print("需要xlsx路径 ")

xlsxPath = sys.argv[1]
isTemp = False
if len(sys.argv) >= 3:
    isTemp = sys.argv[2]

wb = openpyxl.load_workbook(xlsxPath)

tempStart = """
{
    "base_url": "https://cdn.game.chot.cn/resource/GG",
    "latest_version": 0,
    "res_list":[
"""

tempEnd = """
    ]
}
"""

def toStr(item):
    if isinstance(item, str) and item[0] == "[" and item[-1] == "]":
        array = item[1:len(item) - 1].split(",")
        newS = ""
        for s in array:
            if isinstance(s, str):
                newS += "\"" + s + "\","
            else:
                newS += str(s) + ","
        return "[" + newS[0:len(newS) - 1] + "]"
    else:
        return str(item)


for sheet in wb._sheets:
    rows = sheet.max_row
    columns = sheet.max_column

    print(sheet.title, rows, columns)

    nameAry = []

    for col in range(0, columns):
        if sheet[2][col].value is not None:
            nameAry.append(sheet[2][col].value)

    # print(nameAry)

    rowAry = []

    for row in range(3, rows):
        colAry = []
        if sheet[row][0].value is None:
            break
        for col in range(0, len(nameAry)):
            colAry.append(sheet[row][col].value)
        # print(colAry)
        rowAry.append(colAry)

    strJson = ""
    for rowIndex in range(len(rowAry)):
        strJson += "{"
        for colIndex in range(len(rowAry[rowIndex])):
            strJson += "\"" + str(nameAry[colIndex]) + "\":"
            if rowAry[rowIndex][colIndex] is not None:
                if (colIndex == 1 or colIndex == 2) and isinstance(rowAry[rowIndex][colIndex], str):
                    strJson += "\"" + str(rowAry[rowIndex][colIndex]) + "\""
                else:
                    strJson += toStr(rowAry[rowIndex][colIndex])
            else:
                if colIndex == 1 or colIndex == 2:
                    strJson += "\"\""
                else:
                    strJson += "0"
            if colIndex != len(rowAry[rowIndex]) - 1:
                strJson += ","
        strJson += "}"
        if rowIndex != len(rowAry) - 1:
            strJson += ","
            strJson += "\n"

    jsonFile = open("./" + sheet.title + ".json", "w+")
    if isTemp:
        jsonFile.write(tempStart + strJson + tempEnd)
    else:
        newJson = "{\n\""+sheet.title+"\":[\n"+strJson+"\n]\n}"
        jsonFile.write(newJson)
    jsonFile.close()